Bug 432775 - NFS filehandle size problem in GFS2/core NFS
NFS filehandle size problem in GFS2/core NFS
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
rawhide
All Linux
high Severity low
: ---
: ---
Assigned To: Steve Whitehouse
http://lkml.org/lkml/2007/10/24/374
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 05:39 EST by Steve Whitehouse
Modified: 2008-04-25 03:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 03:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix (283 bytes, patch)
2008-04-03 09:50 EDT, Steve Whitehouse
no flags Details | Diff
New patch (1018 bytes, patch)
2008-04-08 09:05 EDT, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-02-14 05:39:47 EST
Description of problem:

The size of a filehandle in the core NFS code has been reduced to less than the
size of a GFS2 filehandle. We need to:

 a) Create a reduced size fh for GFS2 so that we can support NFSv2 correctly and
 b) Fix the core code such that we can continue to support the original fh size

This is only a problem in the upstream kernel, its not in RHEL.
Comment 1 Steve Whitehouse 2008-02-14 05:41:45 EST
See also, the thread on lkml/cluster-devel: "gfs2_fh_to_parent() array overflow"
Comment 3 Steve Whitehouse 2008-04-03 09:50:03 EDT
Created attachment 300248 [details]
Proposed fix

This is the proposed fix. It doesn't seem that any other changes are required.
Comment 4 Steve Whitehouse 2008-04-07 05:55:45 EDT
Patch sent to Linus.
Comment 5 Steve Whitehouse 2008-04-08 09:04:55 EDT
Discussion with Linus et al.:
http://lkml.org/lkml/2008/4/7/65
Comment 6 Steve Whitehouse 2008-04-08 09:05:46 EDT
Created attachment 301627 [details]
New patch

New patch as a result of discussion.
Comment 7 Steve Whitehouse 2008-04-11 03:38:08 EDT
Bruce has queued the patch for 2.6.26
Comment 8 Steve Whitehouse 2008-04-25 03:30:58 EDT
Now in Linus' kernel at the 2.6.25 merge window.

Note You need to log in before you can comment on or make changes to this bug.